org.gradle.api.artifacts

## Interface FileCollectionDependency

- All Superinterfaces:
    Buildable, Dependency, SelfResolvingDependency

      public interface FileCollectionDependency
      extends SelfResolvingDependency

  A `FileCollectionDependency` is a `Dependency` on a collection of local files which are not stored in a repository.

- - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.artifacts.Dependency

      `ARCHIVES_CONFIGURATION, CLASSIFIER, DEFAULT_CONFIGURATION`

  - ### Method Summary

    - ### Methods inherited from interface org.gradle.api.artifacts.SelfResolvingDependency

      `resolve, resolve`

    - ### Methods inherited from interface org.gradle.api.artifacts.Dependency

      `contentEquals, copy, getGroup, getName, getVersion`

    - ### Methods inherited from interface org.gradle.api.Buildable

      `getBuildDependencies`